Partage

pb - installation symfony

Sujet résolu
Le 9 septembre 2011 à 8:27:36

bonjour, j' ai installé symfony2 sur mon pc

j'utilise wamp server avec php > 5.3

lorsque je lance 'apply_dev.php' il me met ce message d'erreur :

Citation : symfonie

InvalidArgumentException: There is no extension able to load the configuration for "framework" (in C:\wamp\www\Symfony\app/config/config_dev.yml). Looked for namespace "framework", found "security", "twig", "monolog", "swiftmailer", "doctrine", "assetic", "sensio_framework_extra", "jms_security_extra", "acme_demo", "web_profiler", "sensio_distribution"



quand je clique sur config, il me recommande juste d'installer php accelerator et intl extension

j'ai pourtant copié l'integralité du repertoire symfony2 dans le repertoire www de wamp ...

comment corriger le pb svp ?

merci pour votre aide
Souvent la moitié de la réponse se trouve dans une question bien posée.
Publicité
Le 9 septembre 2011 à 8:27:36
Le 9 septembre 2011 à 9:18:06

Bonjour,

Gné apply_dev.php ?
http://symfony.com/doc/current/book/installation.html As-tu lu ceci ?
Le 9 septembre 2011 à 9:52:24

je ne suis pas sous unix, j'utilise wamp avec php version 5.3.5

comme stipulé dans l'aide à la config, je dezip l'archive telechargée et je la place dans le repertoire WWW de wamp

http://localhost/Symfony/web/config.php m' ammene à une page ou il est recommandé d'installer PHP accelerator et intl extension. mais rien d'obligatoire.

je clique sur : configure your symfony installation online et je tombe sur :

Whoops, looks like something went wrong.
1/1 InvalidArgumentException: There is no extension able to load the configuration for "framework" (in C:\wamp\www\Symfony\app/config/config_dev.yml). Looked for namespace "framework", found "security", "twig", "monolog", "swiftmailer", "doctrine", "assetic", "sensio_framework_extra", "jms_security_extra", "acme_demo", "web_profiler", "sensio_distribution"

in C:\wamp\www\Symfony\vendor\symfony\src\Symfony\Component\DependencyInjection\Loader\YamlFileLoader.php line 260
at YamlFileLoader->validate() in C:\wamp\www\Symfony\vendor\symfony\src\Symfony\Component\DependencyInjection\Loader\YamlFileLoader.php line 231
at YamlFileLoader->loadFile() in C:\wamp\www\Symfony\vendor\symfony\src\Symfony\Component\DependencyInjection\Loader\YamlFileLoader.php line 42
at YamlFileLoader->load() in C:\wamp\www\Symfony\vendor\symfony\src\Symfony\Component\Config\Loader\DelegatingLoader.php line 50
at DelegatingLoader->load() in C:\wamp\www\Symfony\app\AppKernel.php line 34
at AppKernel->registerContainerConfiguration() in C:\wamp\www\Symfony\app\bootstrap.php.cache line 863
at Kernel->buildContainer() in C:\wamp\www\Symfony\app\bootstrap.php.cache line 779
at Kernel->initializeContainer() in C:\wamp\www\Symfony\app\bootstrap.php.cache line 513
at Kernel->boot() in C:\wamp\www\Symfony\app\bootstrap.php.cache line 544
at Kernel->handle() in C:\wamp\www\Symfony\web\app_dev.php line 20

si je lance http://localhost/Symfony/web/app_dev.php/ je retombe sur la meme page :x

j'ai surement du sauter une etape :(


Souvent la moitié de la réponse se trouve dans une question bien posée.
Le 9 septembre 2011 à 12:07:31

As-tu installé les "vendors" ?
Le 9 septembre 2011 à 12:22:36

PROBLEME RESOLU

Certains fichiers de l' archive avaient l'extension ph ou twi au lieu de php ou twig
Souvent la moitié de la réponse se trouve dans une question bien posée.
Le 17 janvier 2012 à 17:33:12

J'ai le même soucis en suivant le tutoriel de leglopin et winzou à la section
http://www.siteduzero.com/tutoriel-3-5 [...] tml#ss_part_4

InvalidArgumentException: There is no extension able to load the configuration for "security" (in F:\DonneesPortable\Dev\Web\Symfony\app/config\security.yml). Looked for namespace "security", found "framework", "security", "twig", "monolog", "swiftmailer", "doctrine", "assetic", "sensio_framework_extra", "jms_security_extra", "sdz_blog", "fos_user", "sdz_user", "acme_demo", "web_profiler", "sensio_distribution"

Quelqu'un peut-il m'aider ?
Le 19 janvier 2012 à 10:41:52

slt

Verifie l'extension de tes fichiers avec l'explorateur, certains ont une extension ym au lieux de yml si je me souviens bien...

corrige manuellement et ca devrait marcher :)
Souvent la moitié de la réponse se trouve dans une question bien posée.

pb - installation symfony

× Après avoir cliqué sur "Répondre" vous serez invité à vous connecter pour que votre message soit publié.
  • Editeur
  • Markdown